## com.baidubce.services.bmr.model
Class StepStatus

    java.lang.Object
      com.baidubce.services.bmr.model.StepStatus

    public class StepStatus

extends Object

Represent status for BMR step.

Constructor Summary
`StepStatus()`

Method Summary
`Date` `getCreateDateTime()`
`Date` `getEndDateTime()`
`Date` `getStartDateTime()`
`String` `getState()`
`void` `setCreateDateTime(Date createDateTime)`
`void` `setEndDateTime(Date endDateTime)`
`void` `setStartDateTime(Date startDateTime)`
`void` `setState(String state)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StepStatus

    public StepStatus()

Method Detail

### getCreateDateTime

    public Date getCreateDateTime()

### setCreateDateTime

    public void setCreateDateTime(Date createDateTime)

### getEndDateTime

    public Date getEndDateTime()

### setEndDateTime

    public void setEndDateTime(Date endDateTime)

### getStartDateTime

    public Date getStartDateTime()

### setStartDateTime

    public void setStartDateTime(Date startDateTime)

### getState

    public String getState()

### setState

    public void setState(String state)

Copyright © 2016. All rights reserved.